Subject: [Softwires] review of draft-ietf-softwire-map-radius-14

From: hezihao <[email-masked]>
Date: Mon, 12 Mar 2018 13:42:49 +0800

Hi
authors,

Here
is a review of version-14.

Generally,
this draft looks good to me, only with some language issues. I list them out in
the following. Glad if these comments could help improve this draft.

BR,

Zihao

1)
Section
3, step 2

This
sentence is a little cumbersome. This incurs ambiguity.

For
example, it’s a little hard for me to understand what is “to the RADIUS
server”, what “requests authentication”, what “will be defined in the next
section”.

I
would think that splitting the monolithic sentence into some shorter ones would
be better, which might be something like this.

“When
the BNG receives the Solicit message, it should initiate a radius
Access-Request message. In this message, a User-Name attribute (1) should be
filled with a CE MAC address, interface-id, or both. In addition, in this
message, a User-password attribute (2) should be filled with the shared
password that has been preconfigured on the DHCPv6 server. *** requests
authentication. *** will be defined in the next section.”

2)
Section
1, Para 2

“The
BNG is assumed to embed a DHCPv6 server function that allows...”

Probably
this is a grammar thing. I can’t figure out who is assumed to be embedded in
whom from this expression without some inferences. I suppose that you want to
speak this sentence in active voice as “We are assumed to embed a function in
the BNG”, so the passive voice version might be

“A
DHCPv6 server function is assumed to be embedded in the BNG”

or
“In the BNG a DHCPv6 server function is assumed to be embedded.”

3)
Section
1, Para 3

“The
RADIUS attributes designed in this document are especially for the MAP-E[RFC7597], MAP-T[RFC7599] and Lightweight 4over6[RFC7596], providing enough information…”

It’s
a little bit difficult for me to understand what “provides enough information”,
the attributes or three RFCs? Possibly it’s better to state this clearly.

4)
Section
3, step 6

“After
receiving the client's Request message,
containing the corresponding S46 Container option, the BNG SHOULD
reply to…”

Since
by “containing the option” you mean that “the message contains the option”, I
would suppose that it would be better to delete the comma here. Otherwise,
“containing the corresponding option” might be thought as some sort of
conditions/assumptions (adverbial) of the next sentence.

5)
Section 4.6.2

“there
are k bits in the port number representing valid
of PSID.”

I
think you probably omitted a word after the word 'valid', since 'valid' is an
adjective.

Or
is it intended as “validity”?

6)
Section 4.10,

“0+”

can't find '0+' in the table.